> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Users Characters

> Lists all of the characters that belong to a specific user. CharacterIds are not globally unique; characterId must be evaluated with the parent PlayFabId to guarantee uniqueness.



## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetAllUsersCharacters
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetAllUsersCharacters:
    post:
      tags:
        - Characters
      summary: Get All Users Characters
      description: >-
        Lists all of the characters that belong to a specific user. CharacterIds
        are not globally unique; characterId must be evaluated with the parent
        PlayFabId to guarantee uniqueness.
      operationId: GetAllUsersCharacters
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListUsersCharactersRequest'
        description: Returns a list of every character that currently belongs to a user.
      responses:
        '200':
          $ref: '#/components/responses/ListUsersCharactersResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    ListUsersCharactersRequest:
      description: Returns a list of every character that currently belongs to a user.
      type: object
      properties:
        PlayFabId:
          description: >-
            Unique PlayFab assigned ID of the user on whom the operation will be
            performed.
          type: string
      required:
        - PlayFabId
      example:
        PlayFabId: '98333765432'
    ListUsersCharactersResult:
      type: object
      properties:
        Characters:
          description: The requested list of characters.
          type: array
          items:
            $ref: '#/components/schemas/CharacterResult'
          x-isclass: true
      example:
        Characters:
          - CharacterId: '3345677'
            CharacterName: CoolDude
            CharacterType: StrongWarrior
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    CharacterResult:
      type: object
      properties:
        CharacterId:
          description: The id for this character on this player.
          type: string
        CharacterName:
          description: The name of this character.
          type: string
        CharacterType:
          description: The type-string that was given to this character on creation.
          type: string
      example:
        CharacterId: '3345677'
        CharacterName: CoolDude
        CharacterType: StrongWarrior
  responses:
    ListUsersCharactersResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListUsersCharactersResult'
            example:
              code: 200
              status: OK
              data:
                Characters:
                  - CharacterId: '3345677'
                    CharacterName: CoolDude
                    CharacterType: StrongWarrior
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get All Users Characters](/services/playfab/api-references/rest/client/characters/get-all-users-characters.md)
- [Get Leaderboard For User Characters](/services/playfab/api-references/rest/client/characters/get-leaderboard-for-user-characters.md)
- [Get Character Statistics](/services/playfab/api-references/rest/server/characters/get-character-statistics.md)
- [Get Character Data](/services/playfab/api-references/rest/server/character-data/get-character-data.md)
- [Get Character Internal Data](/services/playfab/api-references/rest/server/character-data/get-character-internal-data.md)
